---
# https://galaxy.ansible.com/geerlingguy/docker

- name: Manage Docker as a non-root user
  become: true
  group:
    name: docker
    state: present

- name: Manage Docker as a non-root user - part 2
  become: true
  user:
    name: '{{ansible_user}}' # '{{ansible_user}}' # Try to run this without Become!
    groups: docker
    append: yes
  notify: reboot
  # notify: Reset ssh connection

- name: Docker SDK for Python
# docs.ansible.com/ansible/latest/modules/docker_container_module.html#requirements
  become: false
  pip:
    name: docker
    executable: pip3
    extra_args: --user  # Makes ansible-docker work sudoless!
